SAP Knowledge Base Article - Preview

3120593 - Dependency Six is not getting installed when executing the MDK 4.2 dependencies installer on Mac OS

Symptom

  • SAP dependency installer of MDK 4.2 on Mac OS fails to install all dependencies.
  • Dependency 'six' is not getting installed. 
  • The log shows:

    File "/tmp/easy_install-012wZ3/pip-21.3/setup.py", line 7
    def read(rel_path: str) -> str:
    ^
    SyntaxError: invalid syntax
    executing command: sudo -S "/private/var/folders/12/29sh8n8j1rg6465j1vh8p7p40000gn/T/AppTranslocation/EFBBD2B2-DF1D-419F-8CF9-9B9D57BE71C3/d/MDK Dependencies Installer.app/Contents/Resources/app/cli/mac/grant-permission.sh"


Read more...

Environment

  • Mac OS 11.6
  • XCode 11,4,1
  • MDK SDK 4.2.4
  • Python 2 or 3
  • Dependency Six - Python 2 and 3 compatibility library

Keywords

MDK Python Dependency Six , KBA , MOB-MDK-MDC , MDK Client , Problem

About this page

This is a preview of a SAP Knowledge Base Article. Click more to access the full version on SAP ONE Support launchpad (Login required).

Search for additional results

Visit SAP Support Portal's SAP Notes and KBA Search.